ConfigurationPersistenceService (Apache Geode 1.15.4)

org.apache.geode.distributed

## Interface ConfigurationPersistenceService

-     @Experimental
      public interface ConfigurationPersistenceService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLUSTER_CONFIG`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CacheConfig` | `getCacheConfig(String group)` retrieves the configuration object of a member group
    `CacheConfig` | `getCacheConfig(String group, boolean createNew)`
    `Set<String>` | `getGroups()` retrieves all the group names in the cluster
    `void` | `updateCacheConfig(String group, UnaryOperator<CacheConfig> mutator)` update the cluster configuration of a member group

- - ### Field Detail

    - #### CLUSTER_CONFIG

          static final String CLUSTER_CONFIG

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getGroups

          Set<String> getGroups()

      retrieves all the group names in the cluster
      Returns:
        a Set of all the group names in the cluster

    - #### getCacheConfig

          CacheConfig getCacheConfig(String group)

      retrieves the configuration object of a member group
      Parameters:
        `group` - the member group name, if null, then "cluster" is assumed
      Returns:
        the configuration object

    - #### getCacheConfig

          CacheConfig getCacheConfig(String group,
                                     boolean createNew)

    - #### updateCacheConfig

          void updateCacheConfig(String group,
                                 UnaryOperator<CacheConfig> mutator)

      update the cluster configuration of a member group
      Parameters:
        `group` - the member group name, if null, then "cluster" is assumed
        `mutator` - the change you want to apply to the configuration. mutator returns null indicating that no update is done to the CacheConfig, or it returns the updated CacheConfig